Bug 975783 - PackageKit doesn't inform about errors
PackageKit doesn't inform about errors
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 06:47 EDT by Rolle
Modified: 2013-12-11 04:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-11 04:15:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PackagemanagementProblem.txt (14.35 KB, text/plain)
2013-06-19 06:48 EDT, Rolle
no flags Details

  None (edit)
Description Rolle 2013-06-19 06:47:49 EDT
Description of problem:
I wish to install a program with the PackageKit GUI and sometimes it doesn't work. But no information why and the status if it works or fails.

Version-Release number of selected component (if applicable):
Fedora 19 prerelease (2013-06-19)

How reproducible:
only if a problem in packagemanagement (dependencies(?)) is, then it occurs always (see attachment "PackageManagementProblem.txt")

Steps to Reproduce:
Take a packagemanagement action during a packagemanagement problem.
For instance on Fedora 19 prerelease, 2013-06-19, qt-creator-problem, see attachment "PackageManagementProblem.txt":
1. start the GUI-program "Software" (PackageKit)
2. type in search field "qt-creator"
3. select it and apply the changes to start installation process


Actual results:
nothing happens ( a user will wait forever or is confused, why the selected program is not startable)

Expected results:
if a problem occurs, the user have to be notified, if it is successful or not

Additional info:
Comment 1 Rolle 2013-06-19 06:48:30 EDT
Created attachment 762864 [details]
PackagemanagementProblem.txt
Comment 2 Richard Hughes 2013-12-11 04:15:39 EST
You're using the pre-release and the repos are very wrong. I've not seen this problem in a long while on F19 GA or F20.

Note You need to log in before you can comment on or make changes to this bug.